> ## Documentation Index
> Fetch the complete documentation index at: https://docs.inkyswap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Leaderboard

> Get the points leaderboard with pagination and search functionality

## Query Parameters

<ParamField query="page" type="number" default="1">
  Page number for pagination (10 items per page)
</ParamField>

<ParamField query="search" type="string">
  Search for specific addresses (partial matching supported)
</ParamField>

## Response

<ResponseField name="leaderboard" type="array">
  Array of leaderboard entries

  <Expandable title="Leaderboard Entry">
    <ResponseField name="address" type="string">
      Ethereum wallet address
    </ResponseField>

    <ResponseField name="points" type="number">
      Total points earned
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="totalPages" type="number">
  Total number of pages available
</ResponseField>

<ResponseField name="totalCount" type="number">
  Total number of entries in the leaderboard
</ResponseField>

## Rate Limits

* 10 requests per minute per IP address (computational endpoint)

<ResponseExample>
  ```json theme={null}
  {
    "leaderboard": [
      {
        "address": "0x1234567890abcdef1234567890abcdef12345678",
        "points": 15420
      },
      {
        "address": "0xabcdef1234567890abcdef1234567890abcdef12",
        "points": 12350
      },
      {
        "address": "0x9876543210fedcba9876543210fedcba98765432",
        "points": 10200
      }
    ],
    "totalPages": 25,
    "totalCount": 245
  }
  ```
</ResponseExample>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://inkypump.com/api/leaderboard?page=1"
  ```

  ```typescript TypeScript theme={null}
  const response = await fetch('https://inkypump.com/api/leaderboard?page=1');
  const data = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://inkypump.com/api/leaderboard",
      params={"page": 1}
  )
  data = response.json()
  ```
</RequestExample>
